=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-10-02 05:41:33 +0000
+++ drizzled/drizzled.cc	2008-10-02 19:07:36 +0000
@@ -1196,7 +1196,7 @@
     for (waited= 0, retry= 1; ; retry++, waited+= this_wait)
     {
       if (((ret= bind(ip_sock, next->ai_addr, next->ai_addrlen)) >= 0 ) ||
-          (socket_errno != SOCKET_EADDRINUSE) ||
+          (errno != EADDRINUSE) ||
           (waited >= mysqld_port_timeout))
         break;
       sql_print_information(_("Retrying bind on TCP/IP port %u"), mysqld_port);
@@ -1214,7 +1214,7 @@
     {
       sql_perror(_("Can't start server: listen() on TCP/IP port"));
       sql_print_error(_("listen() on TCP/IP failed with error %d"),
-                      socket_errno);
+                      errno);
       unireg_abort(1);
     }
   }
@@ -2852,11 +2852,11 @@
 
     if ((number_of= poll(fds, pollfd_count, -1)) == -1)
     {
-      if (socket_errno != SOCKET_EINTR)
+      if (errno != EINTR)
       {
         if (!select_errors++ && !abort_loop)	/* purecov: inspected */
           sql_print_error(_("drizzled: Got error %d from select"),
-                          socket_errno); /* purecov: inspected */
+                          errno); /* purecov: inspected */
       }
       MAYBE_BROKEN_SYSCALL
       continue;
@@ -2889,7 +2889,7 @@
       size_socket length= sizeof(struct sockaddr_storage);
       new_sock= accept(sock, (struct sockaddr *)(&cAddr),
                        &length);
-      if (new_sock != -1 || (socket_errno != SOCKET_EINTR && socket_errno != SOCKET_EAGAIN))
+      if (new_sock != -1 || (errno != EINTR && errno != EAGAIN))
 	break;
     }
 
@@ -2899,7 +2899,7 @@
       if ((error_count++ & 255) == 0)		// This can happen often
 	sql_perror("Error in accept");
       MAYBE_BROKEN_SYSCALL;
-      if (socket_errno == SOCKET_ENFILE || socket_errno == SOCKET_EMFILE)
+      if (errno == ENFILE || errno == EMFILE)
 	sleep(1);				// Give other threads some time
       continue;
     }

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-10-02 19:04:46 +0000
+++ drizzled/global.h	2008-10-02 19:07:36 +0000
@@ -490,15 +490,6 @@
 
 typedef off_t os_off_t;
 
-#define socket_errno  errno
-#define SOCKET_EINTR  EINTR
-#define SOCKET_EAGAIN  EAGAIN
-#define SOCKET_ETIMEDOUT SOCKET_EINTR
-#define SOCKET_EWOULDBLOCK EWOULDBLOCK
-#define SOCKET_EADDRINUSE EADDRINUSE
-#define SOCKET_ENFILE  ENFILE
-#define SOCKET_EMFILE  EMFILE
-
 typedef int    myf;  /* Type of MyFlags in my_funcs */
 #define MYF(v)		(myf) (v)
 

=== modified file 'vio/viosocket.c'
--- vio/viosocket.c	2008-09-22 23:53:43 +0000
+++ vio/viosocket.c	2008-10-02 19:07:36 +0000
@@ -25,7 +25,7 @@
 
 int vio_errno(Vio *vio __attribute__((unused)))
 {
-  return socket_errno;		/* On Win32 this mapped to WSAGetLastError() */
+  return errno;
 }
 
 
@@ -168,8 +168,8 @@
 vio_should_retry(Vio * vio __attribute__((unused)))
 {
   int en = socket_errno;
-  return (en == SOCKET_EAGAIN || en == SOCKET_EINTR ||
-	  en == SOCKET_EWOULDBLOCK);
+  return (en == EAGAIN || en == EINTR ||
+	  en == EWOULDBLOCK);
 }
 
 
@@ -177,8 +177,8 @@
 vio_was_interrupted(Vio *vio __attribute__((unused)))
 {
   int en= socket_errno;
-  return (en == SOCKET_EAGAIN || en == SOCKET_EINTR ||
-	  en == SOCKET_EWOULDBLOCK || en == SOCKET_ETIMEDOUT);
+  return (en == EAGAIN || en == EINTR ||
+	  en == EWOULDBLOCK || en == ETIMEDOUT);
 }
 
 

